FLANG

Public Member Functions | List of all members
Fortran::parser::SourceFile Class Reference

## Public Member Functions
| SourceFile (Encoding e)
std::string | path () const
llvm::ArrayRef< char > | content () const
std::size_t | bytes () const
std::size_t | lines () const
Encoding | encoding () const
bool | Open (std::string path, llvm::raw_ostream &error)
bool | ReadStandardInput (llvm::raw_ostream &error)
void | Close ()
SourcePosition | FindOffsetLineAndColumn (std::size_t) const
std::size_t | GetLineStartOffset (int lineNumber) const

The documentation for this class was generated from the following files:

- include/flang/Parser/source.h
- lib/Parser/source.cpp